<?PHP
	$noredirect = true;
	include 'include/globals.php';
	include 'include/conffilefunctions.php';
	
	if (isset($_SESSION["themedir"])) {
		$themedir = $_SESSION["themedir"];
	} else {
		$defaultconfig = readconffile("notloggedin", "default");
		$themedir = $defaultconfig["themedir"];
	}

	PageHeader(1);
?>
<head>
	<title>Inside Systems Mail <?php echo(gettext("Error"));?></title>
	<style type="text/css">
		@import "themes/<?php echo($themedir);?>/css/error.css";
	</style>
	<script type="text/javascript">
		<!--
		// Bust out of the frame if we have to
		if (top.location != location) {
			top.location.href = location.href;
		}
		// -->
	</script>
</head>
<body>
<div id="container">
	<div id="logo">
		<span>Inside Systems Mail</span>
	</div>
	<div id="errorcontainer">
		<div id="errorheader">
			<span><?php echo(gettext("Error"));?></span>
		</div>
		<div id="error">
			<?php
				echo(strip_tags($_REQUEST["error"]) . "\n");
			?>
		</div>
		<?php
			if (isset($_REQUEST["close"])) {
				echo("<div id=\"returnlink\" onclick=\"window.close()\">\n");
				echo("			<span>- " . gettext("Close") . " -</span>\n");
				echo("		</div>\n");
			} else {
				echo("<div id=\"returnlink\" onclick=\"location.href='login.php';\">\n");
				echo("			<span>- " . gettext("Return to the login page") . " -</span>\n");
				echo("		</div>\n");
			}
			?>
	</div>
</div>
</body>
</html>
